+ Responder ao Tópico



  1. #1
    Rooter
    Visitante

    Padrão apache2+php

    Pessoal, to com um problema aqui. Instalei o pacote apache2-2.0.50-i486-2spi.tgz em um servidor slackware 9.1. O problema está qdo vou startar o serviço, ocorre o seguinte erro:

    Código :
    bash-2.05b# apachectl start
    Syntax error on line 5 of /etc/apache/mod_php.conf:
    Cannot load /usr/libexec/libphp4.so into server: /usr/libexec/libphp4.so: undefined symbol: ap_block_alarms

    Configurei o httpd.conf no apache2 pra pegar o mod_php.conf no diretorio do apache antigo, e deu erro... tambem tentei usar o do apache2 (em /etc/apache2/mod_php.conf), mas ocorre o mesmo erro (com a libphp5.so). Alguem poderia me dar um help?

    [/b]

  2. #2

    Padrão Re: apache2+php

    Citação Postado originalmente por Rooter
    /usr/libexec/libphp4.so
    esse arquivo existe, esta nesse lugar e ainda por cima tem as devidas permissoes corretas??? :wink:



  3. #3
    Rooter
    Visitante

    Padrão Re: apache2+php

    Citação Postado originalmente por SDM
    Citação Postado originalmente por Rooter
    /usr/libexec/libphp4.so
    esse arquivo existe, esta nesse lugar e ainda por cima tem as devidas permissoes corretas??? :wink:
    Eae SDM... o arquivo existe sim, e está tudo OK com ele

    Código :
    bash-2.05b# ls -la libphp4.so
    -rwxr-xr-x    1 root     root      2678308 Sep 12  2003 libphp4.so

    Tentei reinstalar o php novamente, mas continua o mesmo erro... essa lib eh do pacote do php mesmo neh?

  4. #4

    Padrão apache2+php

    hmmm....calmae....manda essa linha do arquivo mod_php.conf soh pra ver como ta



  5. #5
    Rooter
    Visitante

    Padrão apache2+php

    To usando o /etc/apache/mod_php.conf :

    #
    # mod_php - PHP Hypertext Preprocessor module
    #

    LoadModule php4_module libexec/libphp4.so
    AddModule mod_php4.c

    # Tell Apache to feed all *.php files through the PHP module
    AddType application/x-httpd-php .php

    # This will display PHP files in colored syntax form. Use with caution.
    #AddType application/x-httpd-php-source .phps

  6. #6

    Padrão apache2+php

    ah akilo q vc tinha perguntado da lib, ela eh gerada sim pelo php, tenta colocar nesse mod_php.conf o caminho completo pro arquivo ".so" dele....tipo /lugar/completo/do/arquivo/so

    e otra coisa....aki com o apache 2 e la em casa com o apache 1 eu nao uso essa tal linha

    Código :
    AddModule mod_php4.c



  7. #7

    Padrão apache2+php

    bom o pacote que vc usou do apache esta configurado para ler os modulos no diretorio /usr/lib/apache2/ ..... desinstale a versão do php4 que vc esta usando e instale o php5....pegue o pacote que foi compilado para ser usado com o pacote do apache q vc esta usando....

    http://www.linuxpackages.net/download.php?id=3903

  8. #8
    Rooter
    Visitante

    Padrão apache2+php

    Tentei fazer isso tb hehe.. colocando o path completo, e nao deu.. ocorre o mesmo erro. Sobre akela linha que tu disse que nao usa, tentei comentar e nada tb. Não tem nada a ver de eu ter instalado os pacotes atravez do pkgtool???

    Não fiz todos akeles passos do configure/make/make install... acho que nao tem nada a ver neh?

    Pelo que percebi, o erro não está na nao-localizacao da lib, mas sim na chamada da funcao ap_block_alarms... mas o pq disso, nao sei hehe



  9. #9
    Rooter
    Visitante

    Padrão apache2+php

    PiTsA, fiz isso agora.. e nao deu certo, ele ta pegando outra lib:

    Código :
    bash-2.05b# apachectl start
    Syntax error on line 5 of /etc/apache2/mod_php.conf:
    Cannot load /usr/lib/apache2/libphp5.so into server: libmhash.so.2: cannot open shared object file: No such file or directory

    O erro esta na libmhash.so.2 (procurei no diretorio e ela realmente nao está la), a libphp5.so ta la...

  10. #10

    Padrão apache2+php

    vc tem o slackpkg?

    $ slackpkg update

    $ slackpkg search libmhash

    veja qual o software que tem esta LIB e isntale ele:

    $ slackpkg install nome_do_software



  11. #11
    Rooter
    Visitante

    Padrão apache2+php

    Nao tem nada hehe

    Código :
    bash-2.05b# slackpkg search libmhash
     
    No packages contains the selected pattern.

    Isso ja ta ficando misterioso

  12. #12

    Padrão apache2+php

    =P

    [email protected]:/mnt/pitsa/inuyasha# slackpkg search libmhash.so

    The list below shows all packages with the selected pattern.

    [uninstalled] - mhash-0.9.1-i486-1



  13. #13
    Rooter
    Visitante

    Padrão apache2+php

    Hmm... valeu !!
    Consegui arrumar essa dependencia... mas agora deu em outra lib uhaehuae

    O pior eh que:

    Código :
    bash-2.05b# slackpkg search libbz2.so.1
     
    The list above shows all packages with the selected pattern.
     
    [ installed ] - bzip2-1.0.2-i386-4
    [ installed ] - elflibs-9.1.0-i486-2

  14. #14

    Padrão apache2+php

    no seu /etc/slackpkg/mirrors, escolha um mirros para slackware-current e não do slack 9.1..... dae vc roda:

    $slackpkg update
    $slackpkg upgrade bzip2



  15. #15
    Rooter
    Visitante

    Padrão apache2+php

    Ufa!!!
    Consegui arrumar todas as dependencias e o servidor agora roda apache2 e php/5 hehe... valeu pelas dicas pessoal !! To devendo essa

    Código :
    Apache/2.0.50 (Unix) mod_ssl/2.0.50 OpenSSL/0.9.7b DAV/2 PHP/5.0.0

  16. #16
    lovezinho
    Visitante

    Padrão Mesmo problema

    Estou com mesmo problema so que no debian, nao roda apache2 + php4
    ele da o mesmo erro e nao encontro esta libmhash pra instalar no debian


    Sabe como posso resolver?